function hout = figlab(txt, xpos, ypos, va, ha),

if nargin < 5,
  ha = 'right';
end

if nargin < 4,
  va = 'top';
end

if nargin < 3,
  ypos = 1.0;
end

if nargin < 2,
  xpos = -0.04;
elseif isempty(xpos),
  xpos = -0.04;
end

if isnumeric(txt),
  txt = sprintf('(%c)', 96+txt);
end


% remove topmost y label to avoid collision with fig label
% if label is to left of figure
% do not tamper with labels for log plots
if xpos < 0 & ~strcmp(get(gca, 'YScale'), 'log'),
  tcklabs = get(gca, 'YTickLabel');
  if ~isempty(tcklabs),
    tcklabs(end, :) = repmat(' ', [1, size(tcklabs,2)]);
    set(gca, 'YTickLabel', tcklabs);
  end
  set(gca, 'ytickmode', 'manual');  % avoid re-ticking on PostScript
end

h = text(xpos, ypos, txt, 'Units', 'normalized', ...
         'VerticalAlignment', va, 'HorizontalAlignment', ha, ...
	 'FontWeight', 'bold', 'FontSize', 12, 'FontName', 'Helvetica');

if nargout > 0,
  hout = h;
end
     
return
