function h_ins = inset(pos, h_ax),

%     h_ins = inset(pos [, h_ax])
%
%  return handle to axes created at pos in h_ax; if h_ax is
%  missing, gca is used.  pos is [ll_x ll_y ur_x ur_y] in data
%    units
%  

%   Copyright (C) 2001 Hans Ekkehard Plesser
%
%   This program is free software; you can redistribute it and/or
%   modify it under the terms of the GNU General Public License
%   as published by the Free Software Foundation; either version 2
%   of the License, or (at your option) any later version.
%
%   This program is distributed in the hope that it will be useful,
%   but WITHOUT ANY WARRANTY; without even the implied warranty of
%   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%   GNU General Public License for more details.
%
%   You should have received a copy of the GNU General Public License
%   along with this program; if not, write to the Free Software
%   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

if nargin < 2,
  h_ax = gca;
end

% convert data coordinates to figure coordinates
axunits = get(h_ax, 'units');
set(h_ax, 'units', 'normalized');
ax_pos = get(h_ax, 'position');
set(h_ax, 'units', axunits);
xlim = get(h_ax, 'XLim'); dx = diff(xlim);
ylim = get(h_ax, 'YLim'); dy = diff(ylim);
ins_pos(1) = ax_pos(1) + (pos(1) - xlim(1)) / dx * ax_pos(3);
ins_pos(2) = ax_pos(2) + (pos(2) - ylim(1)) / dy * ax_pos(4);
ins_pos(3) =             (pos(3) -  pos(1)) / dx * ax_pos(3); 
ins_pos(4) =             (pos(4) -  pos(2)) / dy * ax_pos(4); 

h_ins = axes('Position', ins_pos, 'Box', 'on', 'Layer', 'top');

return

