function mxlabel(x, lbl, ypos),

% mxlabel(x, lbl, ypos),

if nargin < 3,
  ypos = -0.05;
end

% put TeXed labels on

nlab = size(lbl, 1);

xl = get(gca, 'XLim');
if strcmp(get(gca, 'XScale'), 'linear'),
  x0 = xl(1);
  dx = xl(2)-xl(1);
  lpos = (x-x0) / dx;    % relative position in normalized coordinates
else
  x0 = log10(xl(1));
  dx = log10(xl(2)) - log10(xl(1));
  lpos = (log10(x)-x0) / dx;
end

fnt = get(gca, 'FontSize');

for j = 1:nlab,
  text(lpos(j), ypos, deblank(lbl(j,:)), ...
      'units', 'normalized', 'fontsize', fnt, ...
      'HorizontalAlignment', 'center', 'VerticalAlignment', 'baseline');
end

return
