function hh=mylabel(y, lbl, xpos),

if nargin < 3,
  xpos = 0;
end

% put TeXed labels on

nlab = size(lbl, 1);

yl = get(gca, 'YLim');
if strcmp(get(gca, 'YScale'), 'linear'),
  y0 = yl(1);
  dy = yl(2)-yl(1);
  lpos = (y-y0) / dy;    % relative position in normalized coordinates
else
  y0 = log10(yl(1));
  dy = log10(yl(2)) - log10(yl(1));
  lpos = (log10(y)-y0) / dy;
end

fnt = get(gca, 'FontSize');

for j = 1:nlab,
  h(j)=text(xpos, lpos(j), deblank(lbl(j,:)), ...
      'units', 'normalized', 'fontsize', fnt, ...
      'HorizontalAlignment', 'right', 'VerticalAlignment', 'middle');
end

if nargout>0,
  hh=h;
end

return
