function h = xmultlabel(texcmd, skip, ypos),

%    h = xmultlabel(texcmd, skip, ypos)
%
%    attach texcmd to each xtick, skip if given

if nargin < 3,
  ypos = -0.05;
end

if nargin < 2,
  skip = 1;
end

% get ticks
xtcks = get(gca, 'XTick');

% get proportions
xl = get(gca, 'XLim');
x0 = xl(1);
dx = xl(2)-xl(1);
lpos = (xtcks - x0) / dx;    % relative position in normalized coordinates
fnt = get(gca, 'FontSize');

for j = 1:skip:length(xtcks),
  if 0 <= lpos(j) & lpos(j) <= 1, 
    if xtcks(j) == 0,
      ltext = '0';
    elseif xtcks(j) == 1,
      ltext = sprintf('%s', texcmd);
    elseif xtcks(j) == -1,
      ltext = sprintf('-%s', texcmd);
    else
      ltext = sprintf('%d%s', xtcks(j), texcmd);
    end
    hh(j) = text(lpos(j), ypos, ltext, ...
	        'units', 'normalized', 'fontsize', fnt, ...
	'HorizontalAlignment', 'center', 'VerticalAlignment', 'baseline');
  end
end

if nargout,
  h = hh;
end

return
